This module provides an integration of [Algolia Places](https://community.algolia.com/places/) for the [addressfield](https://www.drupal.org/project/address) in a form. This is only for developers.

### Requirements
- [Address](https://www.drupal.org/project/address) (required)
- [Key](https://www.drupal.org/project/key) (optional: to provide appId and apiKey)

### Installation and configuration
1. Install and enable the module as usual.
2. Go to Configuration -> Services -> Algolia Settings and configure the optional Fields
3. Just change the element type from 'address' to 'autoadress' in any form

### Example
```
$form[self::ADRESSE_MIETER] = [
  '#type' => 'autoadress',
  '#default_value' => [
    'country_code' => 'DE',
  ],
  '#field_overrides' => [
    AddressField::FAMILY_NAME => FieldOverride::OPTIONAL,
    AddressField::ADDRESS_LINE1 => FieldOverride::OPTIONAL,
    AddressField::POSTAL_CODE => FieldOverride::OPTIONAL,
    AddressField::LOCALITY => FieldOverride::OPTIONAL,
    AddressField::GIVEN_NAME => FieldOverride::OPTIONAL,
    AddressField::ADDRESS_LINE2 => FieldOverride::HIDDEN,
    AddressField::ADDITIONAL_NAME => FieldOverride::HIDDEN,
    AddressField::ORGANIZATION => FieldOverride::HIDDEN,
  ],
  '#available_countries' => [
    'DE',
  ],
  '#required' => TRUE,
];
```
